#include <iostream>
#include <string>
using namespace std;

int main()
{
    string t;
    char s;
    cin>>t;
    cin>>s;
    int br=0;
    for(int i=0;i<t.length();i++){
        if(t[i]==s){
            t[i]='*';
            br++;
        }
    }
    cout<<br<<"\n"<<t;
    return 0;
}